package com.dev.swms.server.model.fee;
import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.Structure;
public class FeeRate extends Entity{
	private Structure company;//所属客户
	private String code;
	private String name;
	private String type;
	private double price=0;
	private boolean disabled;
	private String description;
	private FeeType feeName; //费用名称
	//计算节点，包装类型，发运方式字段
	private String node;//计算节点
	private String packType;//包装类型
	private String shipmentMethod;//发运方式
	
	
	
	public String getNode() {
		return node;
	}
	public void setNode(String node) {
		this.node = node;
	}
	public String getPackType() {
		return packType;
	}
	public void setPackType(String packType) {
		this.packType = packType;
	}
	public String getShipmentMethod() {
		return shipmentMethod;
	}
	public void setShipmentMethod(String shipmentMethod) {
		this.shipmentMethod = shipmentMethod;
	}
	public FeeType getFeeName() {
		return feeName;
	}
	public void setFeeName(FeeType feeName) {
		this.feeName = feeName;
	}
	public Structure getCompany() {
		return company;
	}
	public void setCompany(Structure company) {
		this.company = company;
	}
	public double getPrice() {
		return price;
	}
	public void setPrice(double price) {
		this.price = price;
	}
	/***税点*/
	private int taxRate;
	//是否代垫
	private boolean beAdvance=false;
	
	public boolean isBeAdvance() {
		return beAdvance;
	}
	public void setBeAdvance(boolean beAdvance) {
		this.beAdvance = beAdvance;
	}
	public int getTaxRate() {
		return taxRate;
	}
	public void setTaxRate(int taxRate) {
		this.taxRate = taxRate;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
	public boolean isDisabled() {
		return disabled;
	}
	public void setDisabled(boolean disabled) {
		this.disabled = disabled;
	}
	
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
}
